Subject: Re: [netconf] [Technical Errata Reported] RFC8040 (5858)

From: Ignas Bagdonas <[email-masked]>
Date: Thu, 17 Oct 2019 19:40:40 +0100

This appears to be factually incorrect - there examples in sections 5.3.1
and 5.3.2 do not refer to ietf-interfaces, instead they use an example
module defined in RFC 6243 section A.1. The prefix therefore should be
example: instead.

On Wed, Sep 11, 2019 at 5:02 AM RFC Errata System <[email-masked]>
wrote:

> The following errata report has been submitted for RFC8040,
> "RESTCONF Protocol".
>
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid5858
>
> --------------------------------------
> Type: Technical
> Reported by: Qin WU <[email-masked]>
>
> Section: 5.3.1,5.3.2
>
> Original Text
> -------------
>       GET /restconf/data/interfaces/interface=eth1
>           ?with-defaults=report-all-tagged HTTP/1.1
>       Host: example.com
>       Accept: application/yang-data+xml
>
>       GET /restconf/data/interfaces/interface=eth1\
>           ?with-defaults=report-all-tagged HTTP/1.1
>       Host: example.com
>       Accept: application/yang-data+json
>
> Corrected Text
> --------------
>       GET /restconf/data/ietf-interfaces:interfaces/interface=eth1
>           ?with-defaults=report-all-tagged HTTP/1.1
>       Host: example.com
>       Accept: application/yang-data+xml
>
>       GET /restconf/data/ietf-interfaces:interfaces/interface=eth1\
>           ?with-defaults=report-all-tagged HTTP/1.1
>       Host: example.com
>       Accept: application/yang-data+json
>
> Notes
> -----
> Based on the rule defined in section 3.5.3 of RFC8040,  the module name
> ietf-interface followed by a colon character (":") should be prepended to
> the node name interfaces.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC8040 (draft-ietf-netconf-restconf-18)
> --------------------------------------
> Title               : RESTCONF Protocol
> Publication Date    : January 2017
> Author(s)           : A. Bierman, M. Bjorklund, K. Watsen
> Category            : PROPOSED STANDARD
> Source              : Network Configuration
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG
>